package com.as.common.base;

import com.as.common.utils.CustomDateSerializer;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @version 1.0
 * @author： lyu
 * @date： 2024-03-31 14:22
 */
@Setter
@Getter
@ToString
public abstract class AbstractEntity implements Entity {
    @TableId(value = "sid",type = IdType.AUTO)
    private Long sid; // 主键
    private String createdBy; // 创建人
//    @JsonSerialize(using = CustomDateSerializer.class)
    private Date createdDt; // 创建时间
    
    // 添加一个方法用于获取格式化后的日期字符串  
    public String getCreatedDtFormatted() {  
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); // 设置你想要的日期格式  
        return sdf.format(createdDt);  
    }  
}
