package com.as.common.utils;

import com.fasterxml.jackson.core.JsonGenerator;  
import com.fasterxml.jackson.databind.JsonSerializer;  
import com.fasterxml.jackson.databind.SerializerProvider;  
import java.io.IOException;  
import java.text.SimpleDateFormat;  
import java.util.Date;  
  
public class CustomDateSerializer extends JsonSerializer<Date> {  
    @Override  
    public void serialize(Date value, JsonGenerator gen, SerializerProvider serializers) throws IOException {  
        if (value == null) {  
            gen.writeNull(); // 当 Date 为 null 时，写入 null 到 JSON  
        } else {  
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); // 自定义日期格式  
            String formattedDate = sdf.format(value);  
            gen.writeString(formattedDate); // 写入格式化后的日期字符串到 JSON  
        }  
    }  
}