package com.as.common.utils;

import java.util.HashMap;
import java.util.Map;

public class DeepCopyHashMap {
	  public static HashMap<String, Object> deepCopy(HashMap<String, Object> original) {  
	        HashMap<String, Object> copied = new HashMap<>();  
	        for (Map.Entry<String, Object> entry : original.entrySet()) {  
	            String key = entry.getKey();  
	            Object value = entry.getValue();  
	  
	            if (value instanceof HashMap) {  
	                // 递归地深拷贝嵌套的HashMap  
	                copied.put(key, deepCopy((HashMap<String, Object>) value));  
	            } else {  
	                // 对于非HashMap的值，直接赋值（假设它们是不可变的或者不需要深拷贝）  
	                copied.put(key, value);  
	            }  
	        }  
	        return copied;  
	    }  
	  
	  // HashMap<String, Object> deepCopiedMap = deepCopy(originalMap);
}
