package com.as.common.utils;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.as.user.dao.Role;
import com.as.user.dao.UserData;
import com.as.user.mapper.RoleMapper;
import com.as.user.service.UserService;
import com.auth0.jwt.JWT;

import jakarta.servlet.http.HttpServletRequest;

@Component
public class UserRole {

	@Autowired
	private RoleMapper roleMapper;
	
	@Autowired
	private UserService userService;
	
	public List<Role> getRoleList(Integer id){
		
		return roleMapper.findByUserId(id);
	};
	
	public Integer getUserId(HttpServletRequest request){
		String userId = JWT.decode(request.getHeader("Authorization")).getAudience().get(0);
		return Integer.parseInt(userId);
	};
	
	public String getUserName(HttpServletRequest request){
		String userId = JWT.decode(request.getHeader("Authorization")).getAudience().get(0);
		UserData findUserByUserId = userService.findUserByUserId(Integer.parseInt(userId));
		return findUserByUserId.getUserName();
	};
}
