package com.as.login.service.impl;

import com.as.common.exception.base.BaseException;
import com.as.common.json.requestJSON;
import com.as.common.jwt.TokenUtils;
import com.as.common.utils.UserRole;
import com.as.login.controller.UserLoginContorller;
import com.as.login.service.UserLoginService;
import com.as.user.dao.MenuData;
import com.as.user.dao.Role;
import com.as.user.dao.UserData;
import com.as.user.mapper.MenuMapper;
import com.as.user.mapper.UserMapper;
import com.as.user.service.impl.UserServiceImpl;
import com.as.workflow.dao.ViewWorkFlowEntity;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

/**
 * @version 1.0
 * @author： lyu
 * @date： 2024-03-08 22:10
 */
@Service
public class UserLoginServiceImpl  implements UserLoginService {
//	private static final Logger logger = LogManager.getLogger(UserLoginServiceImpl.class);
	private static final Logger logger = LogManager.getLogger(UserLoginServiceImpl.class);
	@Autowired
	UserMapper userMapper;
	
	@Autowired
	MenuMapper menuMapper;
	
	@Autowired
	UserRole userRole;
    /***
     * @description:
     * @param: username
    		password
     * @return: void
     * @author: Lyu liuj
     * @date: 2024/3/8 22:06
     */

    @Override
    public requestJSON<HashMap<String,Object>> login(Integer username, String password) {
    	requestJSON<HashMap<String, Object>> requestJSON = new requestJSON<HashMap<String,Object>>();
    	QueryWrapper<UserData> queryWrapper = new QueryWrapper<>();
    	try {
    		queryWrapper.eq("user_id", username);
    		queryWrapper.eq("pwd", password);
    		Long selectCount = userMapper.selectCount(queryWrapper);
    		
    		if(selectCount == 1L) {
    			// 登陆成功的情况
    			/**
    			 * 第一步 先拿到这个角色 既然拿到了 就要用角色的id去查询一下它是什么角色
    			 * 第二步， 拿到角色， 查询他有什么权限 这需要连接五个表
    			 * 
    			 * 
    			 */
    			UserData selectOne = userMapper.selectOne(queryWrapper);
    			List<MenuData> findByUserId = menuMapper.findByUserId(username);
    			HashMap<String, Object> hashMap = new HashMap<String, Object>();
    			List<Role> roleList = userRole.getRoleList(selectOne.getUserId());
    			hashMap.put("menu", findByUserId);
    			hashMap.put("role", roleList);
    			hashMap.put("userInfo", selectOne.toUserDto());
    			String token = TokenUtils.getToken(selectOne);
    			hashMap.put("token", token);
    			// 计算token
    			requestJSON.setData(hashMap);
				requestJSON.setCode(200);
				requestJSON.setMessage("登陆完成");
    			return requestJSON;
    		}else {
    			// 登陆失败的情况（数据库查不到满足相同账号密码的信息）
    			queryWrapper.clear();
    			queryWrapper.eq("user_id", username);
    			Long selectCountTousername = userMapper.selectCount(queryWrapper);
    			logger.info(selectCountTousername+"ceshi");
    			if(selectCountTousername == 1L) {
    				// 账号名没问题的情况
    				requestJSON.setData(null);
    				requestJSON.setCode(500);
    				requestJSON.setMessage("密码错误");
    				return requestJSON;
    			}else {
    				// 账号名有问题的情况
    				requestJSON.setData(null);
    				requestJSON.setCode(500);
    				requestJSON.setMessage("账号有误，请检查");
    				return requestJSON;
    			}
    		}
    		
    		
		} catch (Exception e) {
			requestJSON.setCode(500);
			requestJSON.setMessage(e.toString());
			return requestJSON;
		}
    	
        
    }
    }

