package com.as.member.controller;

import java.util.List;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.as.common.json.requestJSON;
import com.as.common.jwt.UserLoginToken;
import com.as.common.utils.ExportExcel;
import com.as.member.dao.AmountAccount;
import com.as.member.dao.ViewAmountAccountMember;
import com.as.member.service.ViewAmountAccountMemberService;

import jakarta.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/ViewAmountAccountMember")
public class ViewAmountAccountMemberContorller {

	
	@Autowired
	ViewAmountAccountMemberService service;
	
	private static final Logger logger = LogManager.getLogger(ViewAmountAccountMemberContorller.class);
	
	@UserLoginToken
    @RequestMapping(value = "/findViewAmountAccountMember", method = RequestMethod.POST)
    public requestJSON<String> findViewAmountAccountMember(@RequestBody ViewAmountAccountMember data, HttpServletRequest request) {
		ExportExcel ex = new ExportExcel();
		requestJSON<String> json = new requestJSON<String>();
	
		try {
			String generateExcel = ex.generateExcel(service.findList(data));
            // 尝试创建成员，成功则返回操作状态码和消息
            json.setCode(200);
            json.setData(generateExcel);
            json.setMessage("成功");
            return json;
        } catch (Exception e) {
            // 捕获异常，返回错误状态码和错误消息
            json.setCode(500);
            json.setMessage("错误" + e.getMessage());
            return json;
        }
	}
}
