package com.as.member.dao;

import java.math.BigDecimal;

import com.as.common.base.AbstractEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/**
 * @version 1.0
 * @author： lyu
 * @date： 2024-03-31 10:10  会员信息表
 */
@Setter
@Getter
@ToString
@TableName("as_member")
public class MemberData extends AbstractEntity {

    @TableField(value = "member_id")
    private String memberId; // 会员id
    @TableField(value = "member_name")
    private String memberName; // 会员姓名
    @TableField(value = "membership_period")
    private Integer membershipPeriod; // 会员有效期
    @TableField(value = "membership_lv")
    private Integer membershipLv; // 会员等级
    @TableField(value = "membership_phone")
    private String membershipPhone; // 会员电话
    @TableField(value = "hospital_sid")
    private Integer hospitalSid; // 所属医院sid
    @TableField(value = "amount")
    private BigDecimal amount; // 金额
    @TableField(value = "balance")
    private BigDecimal balance; // 余额
    @TableField(value = "member_status")
    private String memberStatus; // 是否生效（默认生效）
    @TableField(exist = false)
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
    private String hospitalName; // 所属医院名称

}
