package com.as.member.dao;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.as.common.base.AbstractEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.Date;
import lombok.Data;
import java.text.SimpleDateFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize; 
import com.as.common.utils.CustomDateSerializer;
@Data
@TableName("as_project")
public class Project extends AbstractEntity{
	// 会员信息主键
	@TableField(value = "project_name")
    private String projectName; 
    // 单价
    @TableField(value = "unit_price")
    private BigDecimal unitPrice; 
    // 修改人
    @TableField(value = "update_by")
    private String updateBy;
    // 修改时间
    @TableField(value = "update_dt")
    @JsonSerialize(using = CustomDateSerializer.class)
    private Date updateDt;
    
    @TableField(exist = false)
	 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private String createdStartDt;// 创建日期（操作时间）
	 @TableField(exist = false)
	 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private String createdEndDt;// 创建日期（操作时间）
	 
	 
//	// 添加一个方法用于获取格式化后的日期字符串  
//	    public String getUpdateDtFormatted() {  
//	        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); // 设置你想要的日期格式  
//	        return sdf.format(updateDt);  
//	    }  
}
