package com.as.member.dao;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize; 
import com.as.common.utils.CustomDateSerializer;
import lombok.Data;
import com.as.common.utils.ExcelAnnotation;
@Data
@TableName("view_physician_work")
public class ViewAmountAccountMember{

		// 主键
		@TableField(value = "sid")
		@ExcelAnnotation("主键")
	    private String sid; 
		// 会员信息主键
		@ExcelAnnotation("会员信息主键")
		@TableField(value = "as_member_sid")
	    private String asMemberSid; 
		// 项目名称
		@ExcelAnnotation("项目名称")
		@TableField(value = "project_name")
	    private String projectName; 
		// 单价
		@ExcelAnnotation("单价")
		@TableField(value = "unit_price")
	    private BigDecimal unitPrice; 
		// 数量
		@ExcelAnnotation("数量")
		@TableField(value = "quantity")
	    private String quantity; 
		// 总价
		@ExcelAnnotation("总价")
		@TableField(value = "total_price")
	    private BigDecimal totalPrice; 
		// 是否作废 -否未作废 -是已作废
		@ExcelAnnotation("是否作废")
		@TableField(value = "status")
	    private String status; 
		// 操作人
		@ExcelAnnotation("操作人")
		@TableField(value = "created_by")
	    private String createdBy; 
		// 操作时间
		@ExcelAnnotation("操作时间")
		@TableField(value = "created_dt")
	    @JsonSerialize(using = CustomDateSerializer.class)
	    private Date createdDt; 
		// 项目sid
		@ExcelAnnotation("项目sid")
		@TableField(value = "project_sid")
	    private String projectSid; 
		// 医院名称
		@ExcelAnnotation("医院名称")
		@TableField(value = "hospital_name")
	    private String hospitalName;
		// 会员姓名
		@ExcelAnnotation("会员姓名")
		@TableField(value = "member_name")
	    private String memberName; 
		// 会员电话
		@ExcelAnnotation("会员电话")
		@TableField(value = "membership_phone")
	    private String membershipPhone; 
//		// 累计充值金额
//		@ExcelAnnotation("累计充值金额")
//		@TableField(value = "amount")
//	    private BigDecimal amount; 
		
		 @TableField(exist = false)
		 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
		 private String createdStartDt;// 创建日期（操作时间）
		 @TableField(exist = false)
		 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
		 private String createdEndDt;// 创建日期（操作时间）
	
	
}
