package com.as.member.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.as.common.utils.StringUtils;
import com.as.member.dao.ViewAmountAccountMember;
import com.as.member.dao.MemberData;
import com.as.member.dao.ViewAmountAccountMember;
import com.as.member.mapper.ViewAmountAccountMemberMapper;
import com.as.member.service.ViewAmountAccountMemberService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

@Service
public class ViewAmountAccountMemberServiceImpl implements ViewAmountAccountMemberService{

	@Autowired
	ViewAmountAccountMemberMapper viewAmountAccountMemberMapper;
	
	@Override
	public List<ViewAmountAccountMember> findList(ViewAmountAccountMember viewAmountAccountMember) {
		// TODO Auto-generated method stub
		LambdaQueryWrapper<ViewAmountAccountMember> queryWrapper = new LambdaQueryWrapper<>();
		queryWrapper.eq(StringUtils.isNotEmpty(viewAmountAccountMember.getMemberName()),
				ViewAmountAccountMember::getMemberName, viewAmountAccountMember.getMemberName());
		queryWrapper.eq(StringUtils.isNotEmpty(viewAmountAccountMember.getCreatedBy()),
				ViewAmountAccountMember::getCreatedBy, viewAmountAccountMember.getCreatedBy());
		queryWrapper.eq(StringUtils.isNotEmpty(viewAmountAccountMember.getHospitalName()),
				ViewAmountAccountMember::getHospitalName, viewAmountAccountMember.getHospitalName());
		queryWrapper.eq(StringUtils.isNotEmpty(viewAmountAccountMember.getProjectName()),
				ViewAmountAccountMember::getProjectName, viewAmountAccountMember.getProjectName());
		queryWrapper.ge(StringUtils.isNotEmpty(viewAmountAccountMember.getCreatedStartDt()),
				ViewAmountAccountMember::getCreatedDt, viewAmountAccountMember.getCreatedStartDt()); // 大于等于
		queryWrapper.le(StringUtils.isNotEmpty(viewAmountAccountMember.getCreatedEndDt()),
				ViewAmountAccountMember::getCreatedDt, viewAmountAccountMember.getCreatedEndDt());// 小于等于
		
		List<ViewAmountAccountMember> selectList = viewAmountAccountMemberMapper.selectList(queryWrapper);
		
		return selectList;
	}

}
