package com.as.workflow.dao;

import java.sql.Timestamp;
import java.text.SimpleDateFormat;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;
import lombok.Data;

@Data
@TableName("as_physical_distribution")
public class WorkFlowEntity {
	@TableId(value = "sid",type = IdType.AUTO)
	private Integer sid; // id
	@TableField(value = "work_order_no")
	private String workOrderNo; // 物流工单号
	@TableField(value = "work_place")
	private String workPlace; // 工作地点
	@TableField(value = "patient_name")
	private String patientName; // 患者姓名
	@TableField(value = "patient_phone")
	private String patientPhone;// 患者电话
	@TableField(value = "prescription")
	private String prescription;// 处方数量
	@TableField(value = "reason")
	private String reason;// 关单理由
	@TableField(value = "status")
	private String status;// 工作流状态
	@TableField(value = "created_by")
//	@JsonProperty(access = JsonProperty.Access.READ_ONLY) // 能返回 不能接收
	private String createdBy;// 创建人（操作人）
	@TableField(value = "created_dt")
	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private Date createdDt;// 创建日期（操作时间）
	 @TableField(exist = false)
	 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private int pageNum;// 页码
	 @TableField(exist = false)
	 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private int pageSize;// 分页数
	 @TableField(exist = false)
	 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private String createdStartDt;// 创建日期（操作时间）
	 @TableField(exist = false)
	 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
	private String createdEndDt;// 创建日期（操作时间）
	  // 添加一个方法用于获取格式化后的日期字符串  
	    public String getCreatedDtFormatted() {  
	        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"); // 设置你想要的日期格式  
	        return sdf.format(createdDt);  
	    }  
}
